CREATE TABLE hrc_dl_vo_flex_maps (
    VO_FLEX_MAP_ID           NUMBER(18, 0)     NOT NULL,
    VO_MAPPING_ID            NUMBER(18, 0)     NOT NULL,
    FLEX_TYPE                VARCHAR2(16)      NOT NULL,
    FLEX_CODE                VARCHAR2(160)     NOT NULL,
    VO_CONTEXT_CODE          VARCHAR2(4000)    NOT NULL,
    VO_CATEGORY_CODE         VARCHAR2(4000),
    VIEW_DEF_NAME            VARCHAR2(4000),
    FLEX_ACCESSOR_NAME       VARCHAR2(4000),
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    VO_FLEX_MAP_ID           NUMBER(18, 0)     NOT NULL,
    VO_MAPPING_ID            NUMBER(18, 0)     NOT NULL,
    FLEX_TYPE                VARCHAR2(16)      NOT NULL,
    FLEX_CODE                VARCHAR2(160)     NOT NULL,
    VO_CONTEXT_CODE          VARCHAR2(4000)    NOT NULL,
    VO_CATEGORY_CODE         VARCHAR2(4000),
    VIEW_DEF_NAME            VARCHAR2(4000),
    FLEX_ACCESSOR_NAME       VARCHAR2(4000),
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL
);
